Name:		rwhoisd
Version:	1.5.9.5
Release:	13%{?dist}
Summary:	Whois server

Group:		System Environment/Daemons
License:	GPLv2
URL:		http://projects.arin.net/rwhois/
Source0:	http://projects.arin.net/rwhois/ftp/%{name}-%{version}.tar.gz
Source1:	rwhoisd.sysconfig
Source2:	rwhoisd.initd
Patch0:		rwhoisd-make.patch
Patch1:		rwhoisd-mktemp.patch
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
Requires(pre):	/usr/sbin/useradd
Requires(post):	/sbin/chkconfig
Requires(preun):	/sbin/chkconfig, /sbin/service

BuildRequires:	flex, byacc
%if 0%{?rhel} == 4
BuildRequires:	tcp_wrappers, bison
%endif
%if 0%{?rhel} == 5
BuildRequires:	tcp_wrappers, bison-devel
%endif
%if 0%{?rhel} >= 6 || 0%{?fedora} >= 14
BuildRequires:	tcp_wrappers-devel, bison-devel
%endif
#Requires:	

%description
This is a release of the Referral Whois (RWhois) server developed
by the Network Solutions, Incorporated, Directory Services group.  The
documentation for RWhois will continue to be updated to reflect
enhancements to RWhois.  Additional documentation will be available
throughout the evolution of RWhois and as RWhois is deployed on a
larger scale.

%prep
%setup -q
%patch0 -p1 -b .make
%patch1 -p1 -b .mktemp

%build
%configure \
	--enable-largefile
%{__make} %{?_smp_mflags} libraries
%{__make} %{?_smp_mflags} binaries


%install
rm -rf $RPM_BUILD_ROOT
make install-bin DESTDIR=$RPM_BUILD_ROOT

sed -e "s|@ETCDIR@|%{_sysconfdir}/rwhoisd|g" \
	-e "s|@SYSCONFDIR@|%{_sysconfdir}|g" \
	-e "s|@SBINDIR@|%{_sbindir}|g" \
	-e "s|@VARDIR@|%{_localstatedir}|g" \
	< %{SOURCE1} > rwhoisd.sysconfig
sed -e "s|@ETCDIR@|%{_sysconfdir}/rwhoisd|g" \
	-e "s|@VARDIR@|%{_localstatedir}|g" \
	-e "s|@SYSCONFDIR@|%{_sysconfdir}|g" \
	-e "s|@VARDIR@|%{_localstatedir}|g" \
	-e "s|@SBINDIR@|%{_sbindir}|g" \
	< %{SOURCE2} > rwhoisd.init

install -d -m0755 $RPM_BUILD_ROOT%{_mandir}/man8
install -d -m0755 $RPM_BUILD_ROOT%{_localstatedir}/lib/rwhoisd
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig
install -d -m0755 $RPM_BUILD_ROOT%{_sysconfdir}/rwhoisd
install -d -m0755 $RPM_BUILD_ROOT%{_localstatedir}/lib/rwhoisd/var/log/rwhoisd
install -d -m0755 $RPM_BUILD_ROOT%{_localstatedir}/lib/rwhoisd/var/run

install -D -m0644 doc/rwhois_indexer.8 $RPM_BUILD_ROOT%{_mandir}/man8/rwhois_indexer.8
install -D -m0644 doc/rwhoisd.8 $RPM_BUILD_ROOT%{_mandir}/man8/rwhoisd.8
install -D -m0644 rwhoisd.sysconfig $RPM_BUILD_ROOT%{_sysconfdir}/sysconfig/rwhoisd
install -D -m0755 rwhoisd.init $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/rwhoisd
pushd sample.data
mv rwhoisd.conf rwhoisd.conf.dist
sed -e "s|default-dir:.*|default-dir: %{_localstatedir}/lib/rwhoisd|g" \
	-e "s|root-dir:.*|root-dir: %{_localstatedir}/lib/rwhoisd|g" \
	-e "s|pid-file:.*|pid-file: %{_localstatedir}/run/rwhoisd.pid|g" \
	-e "s|default-log-file:.*|default-log-file: %{_localstatedir}/log/rwhoisd/rwhoisd.log|g" \
	-e "s|rwhois.crit.log|%{_localstatedir}/log/rwhoisd/rwhois.crit.log|g" \
	-e "s|rwhois.err.log|%{_localstatedir}/log/rwhoisd/rwhois.err.log|g" \
	-e "s|rwhois.info.log|%{_localstatedir}/log/rwhoisd/rwhois.info.log|g" \
	< rwhoisd.conf.dist > rwhoisd.conf

install -D -m0644 rwhoisd.conf* $RPM_BUILD_ROOT%{_sysconfdir}/rwhoisd
rm -f Makefile*
popd
rm -f doc/*.8

%clean
rm -rf $RPM_BUILD_ROOT

%pre
# Add "whoisd" user/group
/usr/sbin/useradd -s /sbin/nologin -r -d %{_localstatedir}/lib/rwhoisd rwhoisd 2> /dev/null || :

%post
/sbin/chkconfig --add rwhoisd || :

%preun
if [ $1 -eq 0 ]
then
	/sbin/service rwhoisd stop > /dev/null 2>&1 || :
	/sbin/chkconfig --del rwhoisd
fi

%postun
if [ $1 -eq 1 ]
then
	/sbin/service rwhoisd restart > /dev/null 2>&1 || :
fi

%files
%defattr(-,root,root,-)
%doc INSTALL* LICENSE VERSION doc/* sample.data
%dir %attr(-,rwhoisd,rwhoisd) %{_sysconfdir}/rwhoisd
%dir %attr(-,rwhoisd,rwhoisd) %{_localstatedir}/lib/rwhoisd
%dir %attr(-,rwhoisd,rwhoisd) %{_localstatedir}/lib/rwhoisd/var/log/rwhoisd
%dir %attr(-,rwhoisd,rwhoisd) %{_localstatedir}/lib/rwhoisd/var/run
%config(noreplace) %attr(-,rwhoisd,rwhoisd) %{_sysconfdir}/rwhoisd/rwhoisd.conf*
%{_mandir}/man8/*.gz
%{_sbindir}/rwhoisd
%{_bindir}/rwhois_*
%{_sysconfdir}/rc.d/init.d/rwhoisd
%{_sysconfdir}/sysconfig/rwhoisd
%{_sysconfdir}/rwhoisd

%changelog
* Thu Sep  1 2011 momo-i <webmaster@momo-i.org> 1.5.9.5-11
- Changed data directories.
- Moved sample.data to docs.

* Thu Sep  1 2011 momo-i <webmaster@momo-i.org> 1.5.9.5-10
- Changed username and default-root

* Thu Sep  1 2011 momo-i <webmaster@momo-i.org> 1.5.9.5-9
- Modified sysconfig file. Enabled default option.

* Thu Sep  1 2011 momo-i <webmaster@momo-i.org> 1.5.9.5-3
- Added initscript
- Added sysconfig
- Added pre,post

* Wed Aug 31 2011 momo-i <webmaster@momo-i.org> 1.5.9.5-1
- Initial rpm release.
